package com.fjhx.constant;

public interface UdpConstant {

    /**
     * rfid udp默认绑定端口
     */
    Integer DEFAULT_BINDING_PORT = 0;

    /**
     * rfid udp开始读取数据指令
     */
    String START_READ_INSTRUCTION = "A50401005501";

    /**
     * rfid udp停止读取数据指令
     */
    String STOP_READ_INSTRUCTION = "A504010060F6";

    /**
     * UDP返回数据截取RFID开始下标（从21开始）
     */
    Integer UDP_RESULT_DATA_SUBSTRING_RFID_BEGIN_INDEX = 20;

    /**
     * UDP返回数据截取RFID结束下标（从最后往前推10位）
     */
    Integer UDP_RESULT_DATA_SUBSTRING_RFID_END_INDEX = 10;

}
